Page MenuHomeFreeBSD

devel/ipython: Update to 6.5.0
ClosedPublic

Authored by farrokhi on Jul 30 2018, 3:06 PM.

Details

Summary

Proposed commit log message:

devel/ipython: Update to 6.5.0

 - devel/ipython is now tracking 6.x mainline
 - Previous version of ipython (5.x series) moved to devel/ipython5
 - It is based on pure Python 3.3+ codebase
 - Supports latest Python 3.7 
 - Remove GCC dependency since it now builds with CLANG

More information about new features as well as backward incompatible changes [1]

[1] https://ipython.readthedocs.io/en/stable/whatsnew/version6.html

#Reviewed by: koobs, mat
Approved by: koobs (python)
#Differential Revision:	D16508
Test Plan
  • portlint: OK (0 fatal errors and 2 warnings found. warnings are false-positives)
  • testport: OK (poudriere: 10-stable, 11-stable, 12-current , amd64 tested)
  • maketest: OK

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

farrokhi created this revision.Jul 30 2018, 3:06 PM
mat added inline comments.Jul 30 2018, 8:55 PM
devel/ipython/Makefile
28 ↗(On Diff #46022)

Why remove concurrent, this no longer installs any files in bin or sbin?

farrokhi added inline comments.Jul 31 2018, 4:06 AM
devel/ipython/Makefile
28 ↗(On Diff #46022)

It does. But there was no point in keeping separate py2x and py3x stuff, since it now only builds with python 3.3+ and support for older python versions were dropped.

koobs requested changes to this revision.Jul 31 2018, 4:23 AM
koobs added inline comments.
devel/ipython/Makefile
28 ↗(On Diff #46022)

concurrent applies to 'any' combination of concurrently installed python versions, including only multiple 3.x's

This revision now requires changes to proceed.Jul 31 2018, 4:23 AM
farrokhi updated this revision to Diff 46058.Jul 31 2018, 4:40 AM
farrokhi marked 3 inline comments as done.

Restore concurrent flag

mat added a comment.Jul 31 2018, 9:43 AM

The only time you can remove concurrent is when a port supports only one version of Python, say, USES=python:2.7. In any other combination, here, for examples, packages for 3.4, 3.5, 3.6 and 3.7 can be built at the same time.

In D16508#350796, @mat wrote:

The only time you can remove concurrent is when a port supports only one version of Python, say, USES=python:2.7. In any other combination, here, for examples, packages for 3.4, 3.5, 3.6 and 3.7 can be built at the same time.

True. I fixed this in the current patch.

koobs accepted this revision.Jul 31 2018, 11:15 PM

Thanks @farrokhi!

For future reviews, please include a proposed commit log message including rationale for changes (where not clear from the diff) in the SUMMARY section, and include QA confirmation in the TEST PLAN section, something like:

* portlint: OK (looks fine.)
* testport: OK (poudriere: <versions>, <archs>[, <OPTIONS>] tested)
* maketest: OK (123 tests passed)
This revision is now accepted and ready to land.Jul 31 2018, 11:15 PM
farrokhi added a subscriber: rm.EditedAug 1 2018, 5:29 AM

While we were working on this, @rm committed an update to devel/ipython. It seems he is maintaining 5.x series [2] (which still supports python 2.7) , while the new 6.x series [3] are not still in ports tree.
Now should we repocopy the devel/ipython to devel/ipython6 and turn this patch into a new port?

[1] https://svnweb.freebsd.org/ports?view=revision&revision=476010
[2] https://ipython.readthedocs.io/en/stable/whatsnew/version5.html#ipython-5-8-0
[3] https://ipython.readthedocs.io/en/stable/whatsnew/version6.html

mat added a comment.Aug 1 2018, 7:42 AM

Or copy the current as ipython5.

rm added a comment.Aug 1 2018, 8:15 AM

Sorry gentleman, I wasn't aware someone is working on this. I believe that devel/ipython should follow mainline - 6.x, while 5.x should be moved to devel/ipython5. Our current jupyter works fine with both of them.

Thanks @rm. Could you please then repocopy ipython to ipython5 so that we can apply this patch to ipython?
I am currently testing to make sure these two ports are not installing conflicting files and if they can be installed concurrently.

rm added a comment.Aug 1 2018, 8:53 AM

Sure, will do it within this day

rm added a comment.Aug 1 2018, 8:55 AM

There are some ports except the jupyter that depend upon ipython and some of them may be python 2.x only, so need to check that too

koobs requested changes to this revision.Aug 1 2018, 9:25 AM

@farrokhi Can you rebase your changes after @rm's commit and update the diff here

This revision now requires changes to proceed.Aug 1 2018, 9:25 AM

@farrokhi Can you rebase your changes after @rm's commit and update the diff here

Sure I will take care of it.

In D16508#351167, @rm wrote:

There are some ports except the jupyter that depend upon ipython and some of them may be python 2.x only, so need to check that too

Here is a list of ports directly depending on devel/ipython if helps:

deskutils/gourmet
devel/py-ipdb
devel/py-ipykernel
devel/py-ipyparallel
devel/py-ipywidgets
devel/py-jira
devel/py-jupyter_console
devel/py-jupyter_core
devel/py-represent
devel/py-spyder
math/py-yt
security/py-rekall
This revision was not accepted when it landed; it landed in state Needs Revision.Aug 5 2018, 5:04 PM
Closed by commit rP476420: Add devel/ipython5 port (authored by rm, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.
rm added a comment.Aug 5 2018, 5:06 PM

Hello gentleman, sorry for delay. It looks like all the ports that depend upon ipython also support python 3.x, so there is no need to switch any of them to the new ipython5, that was just added in r476420.

rm added a comment.Aug 5 2018, 5:10 PM

Looks like it was a bad idea to reference this differential revision in commit message...

koobs reopened this revision.Aug 5 2018, 11:10 PM

Reopening

farrokhi updated this revision to Diff 46326.Aug 6 2018, 5:09 AM

Updated patch for devel/ipython

koobs added a comment.Aug 6 2018, 5:21 AM

This LGTM. @farrokhi Could you edit the revision SUMMARY to include a proposed commit log message please (including any relevant Property: value lines). Please include a link to a release notes, changelog, and link to any migration/upgrade notes (if required, this is a major version upgrade) and an explanation for USE_GCC removal (im assuming it just now builds with clang, but clarifying this in the message is nice)

koobs edited the summary of this revision. (Show Details)Aug 6 2018, 5:31 AM
koobs edited the test plan for this revision. (Show Details)
farrokhi edited the test plan for this revision. (Show Details)Aug 6 2018, 10:39 AM
farrokhi edited the summary of this revision. (Show Details)Aug 6 2018, 10:45 AM
koobs accepted this revision.Aug 6 2018, 10:50 AM
koobs edited the summary of this revision. (Show Details)
koobs edited the test plan for this revision. (Show Details)

Nice work, looks good!

This revision is now accepted and ready to land.Aug 6 2018, 10:51 AM
This revision was automatically updated to reflect the committed changes.